%{?scl:%scl_package cfme-amazon-smartstate}
%{!?scl:%global pkg_name %{name}}

%global app_name amazon-smartstate
%global app_dir  /opt/rh/%{app_name}/

Summary: Amazon SmartState Client
Name: cfme-amazon-smartstate
Version: 5.10.15.1
Release: 1%{?dist}
License: Unknown
URL: https://github.com/ManageIQ/container-amazon-smartstate
Source0: %{name}-%{version}.tar.gz
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}rubygem-bundler
BuildRequires: %{?scl_prefix}rubygems-devel

Requires: %{?scl_prefix}rubygem-ffi = 1.9.25
Requires: %{?scl_prefix}rubygem-json = 2.1.0
Requires: %{?scl_prefix}rubygem-linux_block_device = 0.2.1
Requires: %{?scl_prefix}rubygem-memory_buffer = 0.1.0
Requires: %{?scl_prefix}rubygem-nokogiri = 1.8.5
Requires: %{?scl_prefix}rubygem-unf_ext = 0.0.7.5

%description
Amazon SmartState Client

%prep
%setup -q

%install
%{__mkdir} -p %{buildroot}%{app_dir}
%{__cp} -r . %{buildroot}%{app_dir}

%files
%defattr(-,root,root,-)
%{app_dir}

%changelog
* Tue Feb 11 2020 Satoe Imaishi <simaishi@redhat.com> - 5.10.15.1-1
- 5.10.15.1-1 build

* Mon Feb 10 2020 Satoe Imaishi <simaishi@redhat.com> - 5.10.15.0-1
- 5.10.15.0-1 build

* Wed Jan 08 2020 Satoe Imaishi <simaishi@redhat.com> - 5.10.14.0-2
- 5.10.14.0-2 build

* Tue Jan 07 2020 Satoe Imaishi <simaishi@redhat.com> - 5.10.14.0-1
- 5.10.14.0-1 build

* Mon Nov 25 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.13.1-1
- 5.10.13.1-1 build

* Tue Nov 19 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.13.0-1
- 5.10.13.0-1 build

* Tue Oct 29 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.12.3-1
- 5.10.12.3-1 build

* Mon Oct 28 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.12.2-1
- 5.10.12.2-1 build

* Tue Oct 22 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.12.1-1
- 5.10.12.1-1 build

* Mon Oct 07 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.12.0-1
- 5.10.12.0-1 build

* Mon Sep 23 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.11.0-1
- 5.10.11.0-1 build

* Thu Sep 05 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.10.0-1
- 5.10.10.0-1 build

* Wed Aug 28 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.9.1-1
- 5.10.9.1-1 build

* Mon Aug 19 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.9.0-1
- 5.10.9.0-1 build

* Mon Jul 29 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.8.0-1
- 5.10.8.0-1 build

* Fri Jul 12 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.7.1-1
- 5.10.7.1-1 build

* Tue Jul 09 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.7.0-1
- 5.10.7.0-1 build

* Fri Jun 21 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.6.1-1
- 5.10.6.1-1 build

* Mon Jun 10 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.6.0-1
- 5.10.6.0-1 build

* Tue May 28 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.5.1-1
- 5.10.5.1-1 build

* Tue May 21 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.5.0-1
- 5.10.5.0-1 build

* Thu May 09 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.4.3-1
- 5.10.4.3-1 build

* Wed May 08 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.4.2-1
- 5.10.4.2-1 build

* Tue Apr 30 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.4.1-1
- 5.10.4.1-1 build

* Wed Apr 24 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.4.0-1
- 5.10.4.0-1 build

* Mon Apr 15 2019 John Prause <jprause@redhat.com> - 5.10.3.3-1
- 5.10.3.3-1 build

* Wed Apr 10 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.3.2-1
- 5.10.3.2-1 build

* Mon Apr 08 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.3.1-1
- 5.10.3.1-1 build

* Tue Apr 02 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.3.0-1
- 5.10.3.0-1 build

* Tue Mar 19 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.2.2-1
- 5.10.2.2-1 build

* Mon Mar 18 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.2.1-1
- 5.10.2.1-1 build

* Mon Mar 11 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.2.0-1
- 5.10.2.0-1 build

* Tue Feb 19 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.1.2-1
- 5.10.1.2-1 build

* Tue Feb 12 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.1.1-1
- 5.10.1.1-1 build

* Wed Feb 06 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.1.0-1
- 5.10.1.0-1 build

* Tue Jan 29 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.33-1
- 5.10.0.33-1 build

* Tue Jan 15 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.32-1
- 5.10.0.32-1 build

* Tue Jan 08 2019 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.31-1
- 5.10.0.31-1 build

* Tue Dec 18 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.30-1
- 5.10.0.30-1 build

* Tue Dec 11 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.29-1
- 5.10.0.29-1 build

* Tue Dec 04 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.28-1
- 5.10.0.28-1 build

* Wed Nov 28 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.27-1
- 5.10.0.27-1 build

* Tue Nov 27 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.26-1
- 5.10.0.26-1 build

* Tue Nov 20 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.25-1
- 5.10.0.25-1 build

* Tue Nov 13 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.24-1
- 5.10.0.24-1 build

* Tue Nov 06 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.23-1
- 5.10.0.23-1 build

* Tue Oct 30 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.22-1
- 5.10.0.22-1 build

* Tue Oct 23 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.21-1
- 5.10.0.21-1 build

* Tue Oct 16 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.20-1
- 5.10.0.20-1 build

* Tue Oct 09 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.19-1
- 5.10.0.19-1 build

* Wed Oct 03 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.18-1
- 5.10.0.18-1 build

* Thu Sep 27 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.17-1
- 5.10.0.17-1 build

* Wed Sep 19 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.16-1
- 5.10.0.16-1 build

* Fri Sep 14 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.15-1
- 5.10.0.15-1 build

* Fri Aug 31 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.14-1
- 5.10.0.14-1 build

* Wed Aug 22 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.12-1
- 5.10.0.12-1 build

* Thu Aug 16 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.11-1
- 5.10.0.11-1 build

* Tue Aug 14 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.10-1
- 5.10.0.10-1 build

* Thu Aug 02 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.8-2
- 5.10.0.8-2 build, fix ffi version in source tarball

* Wed Aug 01 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.8-1
- 5.10.0.8-1 build

* Wed Jul 25 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.6-1
- 5.10.0.6-1 build

* Wed Jul 18 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.5-1
- 5.10.0.5-1 build

* Thu Jul 12 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.4-1
- 5.10.0.4-1 build

* Thu Jul 05 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.3-1
- 5.10.0.3-1 build

* Tue Jun 26 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.2-1
- 5.10.0.2-1 build

* Tue Jun 19 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.1-1
- 5.10.0.1-1 build

* Wed Jun 13 2018 Satoe Imaishi <simaishi@redhat.com> - 5.10.0.0-1
- 5.10.0.0-1 build

* Tue May 01 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.2.4-1
- 5.9.2.4-1 build

* Thu Apr 19 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.2.3-1
- 5.9.2.3-1 build

* Tue Apr 10 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.2.2-1
- 5.9.2.2-1 build

* Tue Apr 03 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.2.1-1
- 5.9.2.1-1 build

* Tue Mar 20 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.2.0-1
- 5.9.2.0-1 build

* Wed Mar 14 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.1.0-1
- 5.9.1.0-1 build

* Wed Feb 21 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.22-1
- 5.9.0.22-1 build

* Wed Feb 14 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.21-1
- 5.9.0.21-1 build

* Tue Feb 06 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.20-1
- 5.9.0.20-1 build

* Tue Jan 30 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.19-1
- 5.9.0.19-1 build

* Thu Jan 25 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.18-1
- 5.9.0.18-1 build

* Tue Jan 16 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.17-1
- 5.9.0.17-1 build

* Tue Jan 09 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.16-1
- 5.9.0.16-1 build

* Wed Jan 03 2018 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.15-1
- 5.9.0.15-1 build

* Tue Dec 19 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.14-1
- 5.9.0.14-1 build

* Tue Dec 12 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.13-1
- 5.9.0.13-1 build

* Tue Dec 05 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.12-1
- 5.9.0.12-1 build

* Mon Nov 27 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.11-1
- 5.9.0.11-1 build

* Tue Nov 21 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.10-1
- 5.9.0.10-1 build

* Wed Nov 15 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.9-1
- 5.9.0.9-1 build

* Thu Nov 09 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.8-1
- 5.9.0.8-1 build

* Tue Nov 07 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.7-1
- 5.9.0.7-1 build

* Fri Nov 03 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.6-1
- 5.9.0.6-1 build

* Wed Nov 01 2017 Satoe Imaishi <simaishi@redhat.com> - 5.9.0.5-1
- Initial build
